Bug 1488867 (CVE-2017-2808) - CVE-2017-2808 ledger: CLI Account Directive Use-After-Free Vulnerability
Summary: CVE-2017-2808 ledger: CLI Account Directive Use-After-Free Vulnerability
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2017-2808
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1483612 1483613
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-06 11:29 UTC by Andrej Nemec
Modified: 2021-02-17 01:36 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:24:20 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-09-06 11:29:00 UTC
An exploitable use-after-free vulnerability exists in the account parsing component of the Ledger-CLI 3.1.1. A specially crafted ledger file can cause a use-after-free vulnerability resulting in arbitrary code execution. An attacker can convince a user to load a journal file to trigger this vulnerability.

External References:

https://www.talosintelligence.com/vulnerability_reports/TALOS-2017-0304

Comment 1 Andrej Nemec 2017-09-06 11:30:26 UTC
Created ledger tracking bugs for this issue:

Affects: epel-all [bug 1483612]
Affects: fedora-all [bug 1483613]

Comment 2 Product Security DevOps Team 2019-06-08 03:24:20 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.